Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class DefaultLog

    java.lang.Object
      |
      +--com.beasys.commerce.util.DefaultLog

Direct Known Subclasses:
  NonCatalogLog

Deprecated. Use Weblogic Logging infrastructure - see http://e-docs.bea.com/wls/docs61/i18n/index.html

public class DefaultLog
extends java.lang.Object
implements Log

Default log implementation, it goes to System.err.

Field Summary
`protected static java.lang.String` | `COMMA` Deprecated.
`protected static java.lang.String` | `DEFAULT_APP_NAME` Deprecated.
`protected int` | `minimumLevel` Deprecated.
`protected static java.lang.String` | `QUOTE` Deprecated.
`protected boolean` | `showDebug` Deprecated.
`protected boolean` | `showDeprecated` Deprecated.
`protected static java.lang.String` | `SPACE` Deprecated.

Constructor Summary
`DefaultLog()` Deprecated. Default constructor.

Method Summary
`protected java.lang.String` | `assembleMsg(int aLevel, java.lang.String anAppName, java.lang.String aMsg)` Deprecated. Assemble the message into the expected output.
`void` | `debug(java.lang.String aMsg)` Deprecated. Debug.
`void` | `deprecated(java.lang.String aMsg)` Deprecated. Deprecated.
`int` | `getMinimumLevel()` Deprecated. Get minimum level.
`boolean` | `getShowDebug()` Deprecated. Get show debug.
`boolean` | `getShowDeprecated()` Deprecated. Get show deprecated.
`void` | `info(java.lang.String aMsg)` Deprecated. Write to the logs, with extra information added.
`void` | `info(java.lang.String aMsg, java.lang.Throwable anException)` Deprecated. Write to the logs, with extra information added.
`void` | `log(int aLevel, java.lang.String aMsg)` Deprecated. Write to the weblogic logs, with extra information added.
`void` | `log(int aLevel, java.lang.String appName, java.lang.String aMsg)` Deprecated. Write to the logs, with extra information added.
`void` | `log(int aLevel, java.lang.String appName, java.lang.String aMsg, java.lang.Throwable anException)` Deprecated. Write to the logs, with extra information added.
`void` | `log(int aLevel, java.lang.String aMsg, java.lang.Throwable anException)` Deprecated. Write to the weblogic logs, with extra information added.
`protected void` | `logOutput(int aLevel, java.lang.String anAppName, java.lang.String aMsg, java.lang.Throwable anException)` Deprecated. Log the output.
`void` | `setMinimumLevel(int aLevel)` Deprecated. Set minimum level.
`void` | `setShowDebug(boolean aBool)` Deprecated. Set show debug.
`void` | `setShowDeprecated(boolean aBool)` Deprecated. Set show deprecated.
`protected java.lang.String` | `textForLevel(int aLevel)` Deprecated. Text for level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUOTE

    protected static final java.lang.String QUOTE

  Deprecated.

### SPACE

    protected static final java.lang.String SPACE

  Deprecated.

### COMMA

    protected static final java.lang.String COMMA

  Deprecated.

### DEFAULT_APP_NAME

    protected static final java.lang.String DEFAULT_APP_NAME

  Deprecated.

### minimumLevel

    protected int minimumLevel

  Deprecated.

### showDeprecated

    protected boolean showDeprecated

  Deprecated.

### showDebug

    protected boolean showDebug

  Deprecated.

Constructor Detail

### DefaultLog

    public DefaultLog()

  Deprecated.
  Default constructor.

Method Detail

### textForLevel

    protected java.lang.String textForLevel(int aLevel)

  Deprecated.
  Text for level.

  Parameters:
    `aLevel` -
  Returns:
    `String`

### assembleMsg

    protected java.lang.String assembleMsg(int aLevel,
                                           java.lang.String anAppName,
                                           java.lang.String aMsg)

  Deprecated.
  Assemble the message into the expected output.

  Parameters:
    `aLevel` -
    `anAppName` -
    `aMsg` -
  Returns:
    `String`

### logOutput

    protected void logOutput(int aLevel,
                             java.lang.String anAppName,
                             java.lang.String aMsg,
                             java.lang.Throwable anException)

  Deprecated.
  Log the output. Assembles a complete message from the parameters and then writes to System.err.

  Parameters:
    `aLevel` -
    `anAppName` - the application name
    `aCompleteMsg` -
    `anException` -

### debug

    public void debug(java.lang.String aMsg)

  Deprecated.
  Debug. Convenience method for LOG_DEBUG.
  Specified by:
    debug in interface Log

  Parameters:
    `aMsg` -

### info

    public void info(java.lang.String aMsg)

  Deprecated.
  Write to the logs, with extra information added. Convenience method for LOG_INFO.
  Specified by:
    info in interface Log

  Parameters:
    `String` - the message, if null it will be ignored.

### info

    public void info(java.lang.String aMsg,
                     java.lang.Throwable anException)

  Deprecated.
  Write to the logs, with extra information added. Convenience method for LOG_INFO.
  Specified by:
    info in interface Log

  Parameters:
    `String` - the message, if null it will be ignored.
    `Throwable` - the exception;

### deprecated

    public void deprecated(java.lang.String aMsg)

  Deprecated.
  Deprecated.
  Specified by:
    deprecated in interface Log

  Parameters:
    `aMsg` -

### log

    public void log(int aLevel,
                    java.lang.String aMsg)

  Deprecated.
  Write to the weblogic logs, with extra information added.
  Specified by:
    log in interface Log

  Parameters:
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `String` - the message, if null it will ignore.

### log

    public void log(int aLevel,
                    java.lang.String aMsg,
                    java.lang.Throwable anException)

  Deprecated.
  Write to the weblogic logs, with extra information added.
  Specified by:
    log in interface Log

  Parameters:
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `String` - the message, if null it will ignore.
    `Throwable` - the exception.

### log

    public void log(int aLevel,
                    java.lang.String appName,
                    java.lang.String aMsg)

  Deprecated.
  Write to the logs, with extra information added.
  Specified by:
    log in interface Log

  Parameters:
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `appName` - the name of the application logging the message
    `String` - the message, if null it will ignore.

### log

    public void log(int aLevel,
                    java.lang.String appName,
                    java.lang.String aMsg,
                    java.lang.Throwable anException)

  Deprecated.
  Write to the logs, with extra information added.
  Specified by:
    log in interface Log

  Parameters:
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `appName` - the name of the application logging the message
    `String` - the message, if null it will ignore.
    `Throwable` - the exception.

### setMinimumLevel

    public void setMinimumLevel(int aLevel)

  Deprecated.
  Set minimum level.
  Specified by:
    setMinimumLevel in interface Log

  Parameters:
    `aLevel` -

### getMinimumLevel

    public int getMinimumLevel()

  Deprecated.
  Get minimum level.
  Specified by:
    getMinimumLevel in interface Log

  Returns:
    `int`

### setShowDeprecated

    public void setShowDeprecated(boolean aBool)

  Deprecated.
  Set show deprecated.
  Specified by:
    setShowDeprecated in interface Log

  Parameters:
    `aBool` -

### getShowDeprecated

    public boolean getShowDeprecated()

  Deprecated.
  Get show deprecated.
  Specified by:
    getShowDeprecated in interface Log

  Returns:
    `boolean`

### setShowDebug

    public void setShowDebug(boolean aBool)

  Deprecated.
  Set show debug.
  Specified by:
    setShowDebug in interface Log

  Parameters:
    `aBool` -

### getShowDebug

    public boolean getShowDebug()

  Deprecated.
  Get show debug.
  Specified by:
    getShowDebug in interface Log

  Returns:
    `boolean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved